# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "attest"
version = "0.5.3"
authors = ["cilki"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Dead simple test framework for the age of AI"
readme = "README.md"
license = "Unlicense"

[features]
cgroup = []
default = ["cgroup"]

[[bin]]
name = "attest"
path = "src/main.rs"

[dependencies.annotate-snippets]
version = "0.12"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.brush-parser]
version = "0.4.0"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.clap_complete]
version = "4.5"
features = ["unstable-dynamic"]

[dependencies.indicatif]
version = "0.18.4"

[dependencies.libc]
version = "0.2"

[dependencies.similar]
version = "3"

[dependencies.tempfile]
version = "3"

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[dependencies.which]
version = "8.0.2"
